> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Doubao-Seedream-3.0

Seedream 3.0 是一款支持原生高分辨率的中英双语文生图模型，响应速度更快，小字生成更准确，文本排版效果增强，指令遵循能力强，美感&结构提升，保真度和细节表现较好。

### 模型参数

* 模型ID：`doubao-seedream-3.0-t2i`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=bytedance\&type=image)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/images/generations`
* 模型参数：参考[画图 API 手册](https://docs.geekai.co/cn/api/image/generations.md)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start.md)

> [!NOTE]
>
> 不支持画图 API 中的以下参数：
>
> * `negative_prompt`
> * `image`
> * `aspect_ratio`
> * `quality`
> * `style_preset`
> * `output_format`
> * `mask`
> * `background`
>
> 附：[Seedream 3.0 官方 API 文档](https://www.volcengine.com/docs/82379/1824692)

Seedream 3.0 不支持设置图片宽高比，如需设置可以通过 `size` 字段实现，该字段支持通过宽x高字符串传值：

| 宽高比 | 宽x高像素值 |
| - | - |
| 1:1 | 2048x2048 |
| 4:3 | 2304x1728 |
| 3:4 | 1728x2304 |
| 16:9 | 2560x1440 |
| 9:16 | 1440x2560 |
| 3:2 | 2496x1664 |
| 2:3 | 1664x2496 |
| 21:9 | 3024x1296 |

`size` 默认值是 `1024x1024`，宽x高像素取值范围是 `[512x512, 2048x2048]`。

你可以通过 `strength` 字段替代官方的 `guidance_scale` 来控制模型输出结果与 prompt 的一致程度，取值范围是 `[1, 10]`，默认值是 `2.5`，数值越大，模型自由度越小，与用户输入的提示词相关性越强。

### 生成图像

Doubao Seedream 3.0 是一个文生图模型，仅支持通过文字描述来生成对应图像：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"doubao-seedream-3.0-t2i",
    "prompt":"鱼眼镜头，一只猫咪的头部，画面呈现出猫咪的五官因为拍摄方式扭曲的效果",
    "size": "1024x1024",
    "response_format": "url"
}'
```

响应结果是一个 JSON 对象，包含生成图片的 URL 或 base64 编码数据：

```json theme={null}
{
    "model": "doubao-seedream-3.0-t2i",
    "created": 1760441248,
    "task_id": "63fdfd14-64dc-4e4e-a298-7669b49b129d",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2025/10/14/22feb362a7dccbf1d2d4ab8b110ce6e9.jpeg"
        }
    ],
    "usage": {
        "billed_units": 1,
        "output_tokens": 4096,
        "total_tokens": 4096
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.